--- /dev/null
+#!/bin/sh
+
+css(){
+ local path="${1:-${PATH_INFO}}"
+ local pagefile css=''
+ # Get directory part of PATH_INFO
+ path="${path%/*}/./"
+
+ while :; do
+ [ "$path" = / ] && break
+ path="${path%/*/}/"
+
+ if ! acl_read "$path"; then
+ continue
+ elif [ -f "$_DATA/pages/$path/#page.md" ]; then
+ pagefile="$_DATA/pages/$path/#page.md"
+ elif [ -f "$_EXEC/pages/$path/#page.md" ]; then
+ pagefile="$_EXEC/pages/$path/#page.md"
+ else
+ continue
+ fi
+
+ css="$(sed -En '
+ s;\r$;;;
+ /^%css([\t ]+.*)?$/bCSS;
+ 20q;
+ b;
+
+ :CSS
+ s;(%(css)?)?[\t ]*;;
+ p; n; s;\r$;;;
+ /^(%[ \t]+|%css[ \t]+|[ \t]+)[^ \t\r]+$/bCSS;
+ /^(%[ \t]*|%css[ \t]*)$/bCSS;
+ ' <"$pagefile")${BR}${css}"
+ done
+
+ printf %s\\n "${css}"
+}
+
+PAGE_CSS="$(css "${PATH_INFO}")"
+
+return 1
#!/bin/sh
. "$_EXEC/cgilite/file.sh"
-. "$_EXEC/css.sh"
CACHE_AGE=${CACHE_AGE:-300}
export MD_MACROS="$_EXEC/macros"
elif ! acl_read "$PATH_INFO"; then
theme_error 403
else
- PAGE_CSS="$(css "${PATH_INFO}")"
theme_page "${PATH_INFO}"
fi
return 0